Page MenuHomePhabricator

Set up redirects from RT URLs to Phabricator
Closed, DeclinedPublic

Description

URLs from RT should be redirected to the Phabricator URL and whatever numbering scheme we decide to go with so that there aren't collisions with tickets imported from Bugzilla (T65).

Are there other redirects we'd like to have, apart from tickets numbers?

Update: RT has several queues, and two of them will not be migrated yet. For this reason, automatic redirects from rt.wikimedia.org cannot be created until the two remaining queues are migrated as well. Resolving as "Open, Stalled" for now.

Details

Reference
fl66

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved RobLa-WMF
ResolvedQgil
ResolvedDzahn
ResolvedQgil
ResolvedChristopher
ResolvedAklapper
ResolvedChristopher
ResolvedChristopher
Invalidmmodell
Resolvedmmodell
Resolvedmmodell
DeclinedQgil
Declinedgreg
Resolvedchasemp
Declinedchasemp
Resolvedchasemp
ResolvedRobH
ResolvedRobH
ResolvedQgil
ResolvedRobH
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedQgil
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
ResolvedQgil
Resolvedgpaumier
ResolvedAklapper
ResolvedDzahn
ResolvedDzahn
DeclinedNone
ResolvedRobH
DuplicateRobH
Declinedmmodell
Duplicatemmodell
ResolvedQgil
Resolvedmmodell
ResolvedSpringle
ResolvedNone
Resolvedmmodell
ResolvedRobH

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl66.

aklapper wrote on 2014-09-03 16:26:30 (UTC)

Also see T65. Mukunda said he'd likely take a look at this task after sorting out some more urgent stuff.

Buzzwords I remember from last meeting: "Redirects in PHP", "approx. 40-50 lines of code?", "store in DB, readonly account to look up (Chase had talked to Sean already)".

I wrote the code to redirect based on regex of the urls and map to the phabricator reference fields... just need to work with chase to actually deploy it.

In T41#5387, @mmodell wrote:

I wrote the code to redirect based on regex of the urls and map to the phabricator reference fields... just need to work with chase to actually deploy it.

@mmodell: Any public link to the code? Is this in Gerrit or where could this be found? (Also see T197).

mmodell raised the priority of this task from Normal to High.Oct 6 2014, 7:31 PM
Dzahn added a subscriber: Dzahn.Oct 23 2014, 8:02 PM

i figure if it's written in PHP and since RT is written in Perl, first we'd have to install PHP on the RT server, magnesium.

do you need a change for that? you want to deploy this on the RT server itself, right?

Dzahn added a comment.Oct 23 2014, 8:03 PM

are we able to exclude the URLs to tickets in the queues that are supposed to run longer than the other ones?

There isn't really a good handle on redirecting _some_ queues from RT. I think that wasn't envisioned at the beginning. For BZ we are going to move DNS over and handle the domain directly, for partial RT move...I dunno. ideas? @mmodell?

Dzahn added a comment.Oct 23 2014, 8:08 PM

I checked. magnesium already has php5-cli, php5-mysql, libapache2-mod-php5 sounds to me like we are likely covered already.

any other requirements your script has? if you link me to the code i can help deploying it

In T41#14112, @Dzahn wrote:

magnesium already has php5-cli, php5-mysql, libapache2-mod-php5 sounds to me like we are likely covered already.
any other requirements your script has? if you link me to the code i can help deploying it

ping - anybody who can provide a link? or are we all fine?

In T41#14112, @Dzahn wrote:

I checked. magnesium already has php5-cli, php5-mysql, libapache2-mod-php5 sounds to me like we are likely covered already.

any other requirements your script has? if you link me to the code i can help deploying it

ping - anybody who can provide a link? or are we all fine?

chasemp added a subscriber: mark.Dec 1 2014, 1:24 PM

FWIW per @mark we are not going to be redirecting URL's at the beginning as we are leaving behind a few queues and RT will still be a first class citizen in some cases. So this isn't really a blocker for RT ....day one :) if I understand correctly.

Krenair added a subscriber: Krenair.Dec 1 2014, 4:56 PM

Per @mark... where?

In T41#798556, @Krenair wrote:

Per @mark... where?

Live conversation :)

Dzahn added a comment.Dec 1 2014, 6:28 PM

imho this (not being a blocker in the beginning) doesn't mean we shouldn't be working on this task. can we get the script into git nevertheless and review it, try it in labs, prepare the puppet change to deploy it etc, then merge just the labs->prod switch when needed. that would prevent having to do it last minute

In T41#798743, @Dzahn wrote:

imho this (not being a blocker in the beginning) doesn't mean we shouldn't be working on this task. can we get the script into git nevertheless and review it, try it in labs, prepare the puppet change to deploy it etc, then merge just the labs->prod switch when needed. that would prevent having to do it last minute

agreed, good to get done no matter what, just relaying the info :)

Qgil updated the task description. (Show Details)Dec 1 2014, 10:22 PM
Qgil changed the task status from Open to Stalled.
Qgil lowered the priority of this task from High to Low.
Qgil edited projects, added Phabricator; removed RT-Migration.
Qgil set Security to None.
Dzahn added a comment.Dec 12 2014, 1:46 PM

mukunda, hi, this is going to be handled like the Bugzilla redirects too, right? so we could add it before the actual switch, before we change DNS, and then we could already test it by hacking /etc/hosts

This will NOT happen before the actual switch. See T38#844527

Dzahn removed a subscriber: Dzahn.Dec 15 2014, 11:40 AM
mmodell removed mmodell as the assignee of this task.Jun 10 2015, 6:11 AM

I'm not sure what the status of this one is. I believe operations decided they don't need this?

@chasemp: can you confirm?

We still have a queue stuck in rt so we can't redirect the url. Stalled
for sure but valid

Aklapper lowered the priority of this task from Low to Lowest.Feb 9 2016, 9:53 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptFeb 9 2016, 9:53 PM
mark added a comment.Feb 10 2016, 10:32 AM

What was the use case for this anyway?

I believe all RTs included the RT ticket nr anyway. I think the limited user base of RT is smart enough to be able to search for the RT number in Phabricator now, so not sure this is worth the effort.

Qgil added a subscriber: Qgil.Feb 11 2016, 12:05 PM

What @mark says makes sense. Declined?

greg closed this task as Declined.Feb 11 2016, 4:26 PM
greg claimed this task.
greg added a subscriber: greg.
In T41#2018329, @Qgil wrote:

What @mark says makes sense. Declined?

yup

Restricted Application added a project: User-greg. · View Herald TranscriptFeb 11 2016, 4:26 PM